Bug 52319 - order of args to the init for checkBoxTree changed
Summary: order of args to the init for checkBoxTree changed
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: newt (Show other bugs)
(Show other bugs)
Version: roswell
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 52109
TreeView+ depends on / blocked
 
Reported: 2001-08-22 18:35 UTC by Adrian Likins
Modified: 2007-04-18 16:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-22 18:35:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adrian Likins 2001-08-22 18:35:00 UTC
this change breaks rhn_register...


[root@sludge newt]# cvs diff -u -r1.56 -r1.57 snack.py
This rsh session is using DES encryption for all data transmissions.
Index: snack.py
===================================================================
RCS file: /mnt/devel/CVS/newt/snack.py,v
retrieving revision 1.56
retrieving revision 1.57
diff -u -r1.56 -r1.57
--- snack.py    2001/07/05 16:30:36     1.56
+++ snack.py    2001/07/05 19:53:44     1.57
@@ -477,10 +477,12 @@
        curr = self.w.checkboxtreeGetCurrent()
        return self.key2item[curr]

-    def __init__(self, height, scroll = 0, hide_checkbox = 0, unselectable =
+0):
+    def __init__(self, height, width = None, scroll = 0, hide_checkbox = 0,
+unselectable = 0):
        self.w = _snack.checkboxtree(height, scroll, hide_checkbox,
+unselectable)
        self.key2item = {}
        self.item2key = {}
+       if (width):
+           self.w.checkboxtreeSetWidth(width)
revision 1.57
date: 2001/07/05 19:53:44;  author: crutcher;  state: Exp;  lines: +3 -1
added width to CheckboxTree
----------------------------

changed order of args...

any reason this couldnt get put at the end of the arg list so we dont
have to backport newt to 6.2/7.x and/or me special casing the client?

Comment 1 Crutcher Dunnavant 2001-08-22 20:18:18 UTC
F1><0r3D

Comment 2 Glen Foster 2001-08-22 22:12:28 UTC
We (Red Hat) should really try to fix this before next release.


Note You need to log in before you can comment on or make changes to this bug.